openSUSE Tumbleweed revisión semana 23 de 2016

openSUSE Tumbleweed es una distribución “Rolling Release” en desarrollo continuo. Aqui puedes estar al tanto de las últimas novedades.

Tumbleweed

Una nueva revisión de lo que ha acontecido esta semana en openSUSE Tumbleweed la versión “rolling release” o de actualización continua de la distribución de GNU/Linux openSUSE.

El anuncio original lo puedes leer en el blog de Dominique Leuenberger, en este enlace:

Las ISO’s son instalables, pero si ya estás disfrutando de openSUSE Tumbleweed en tu equipo, simplemente deberás actualizarlo mediante “zypper up” para disfrutar de esas actualizaciones.

Esta semana 23 del 2016 pasará a la historia como la semana en la que un “snapshot” de openSUSE Tumbleweed se coló en todos los test de openQA, ocultando un problema a la mayoría de usuarios experimentados.

El equipo de openSUSE Tumbleweed quiere pedir disculpas por los problemas que hubiera causado la imagen de 20160605. Más adelante se explicarán los detalles de lo ocurrido y la manera para impedir que vuelva a suceder.

Pero por el momento veamos qué hay de nuevo en los cuatro “snapshots” publicados, estos son: 0602, 0603, 0605 y 0607. Con interesantes actualizaciones.

  • Postfix 3.1.1 (actualizado desde la versión 2.11.7)
  • Linux Kernel 4.6.1
  • Ruby 2.3

Y además se están preparando:

  • GCC 6 como compilador por defecto, pretendemos que este preparado para la conferencia de openSUSE
  • Linux Kernel 4.6.2
  • Libreoffice 5.2.0
  • QEmu 2.6.0 (seguramente este disponible en el snapshot 0609)
  • Mozilla Firefox 47.0
  • Ruby 2.1 está programado para eliminarlo

Y ahora vienen las explicaciones de cómo el “snapshot” 0605 se coló en openQA provocando varios problemas.

openQA está comprobando un montón de combinaciones, desde instalaciones en limpio con varias configuraciones hasta actualizaciones desde varias versiones de openSUSE. Ninguno de esos test provocaron problemas.

La razón es bastante simple: la actualización de pam-config reemplazando los archivos previos con los actuales con una configuración básica. La configuración básica no contenía una integración con logind/systemd (pam_system.so) lo que es intencionado.

Te invito a que leas la explicación completa en el enlace que encabeza el artículo, con más detalles técnicos que no termino de comprender del todo… y donde también ofrecen la solución para que este error no vuelva a producirse.

Por cierto en el caso de que no se haya resuelto aún un problema en tu equipo derivado de esto (una actualización a una nueva snapshot no lo corrige!) puedes ejecutar este comando en una terminal:

 sudo zypper in -f systemd

Lo que volverá a registrar systemd en la configuración pam.

Mantente actualizado y ya sabes: Have a lot of fun!!

Enlaces de interés

Geeko_ascii

——————————–

8 pensamientos en “openSUSE Tumbleweed revisión semana 23 de 2016

  1. Hola, acabo de instalar openSUSE Tumbleweed y quiero instalar los codec de vídeo (soy novato y espero no molestar). tuve un problema al instalar red eclipse 1.5.3 después de la instalación lo ejecuto y se cierra a los 3 segundo.

  2. hola víctor, quería felicitarte por este blog por esta comunidad y por tener un lugar al que recurrir cuando no se que hacer y puedo pasar horas leyendo e investigando este mundo linuxero.
    ahora la verdad soy un usuario nuevo no tengo grandes conocimientos de linux, quisiera saber que me recomendarías para empezar a aprender con opensuse 42.1 leap o Tumbleweed?
    Mi maquina diría es medio complicada con drivers,
    mother msi krait edition 970
    micro amd fx 8350
    nvidia gtx970
    disco ssd sandisk plus 256.
    talvez no sea el lugar para esta pregunta me disculpo.
    slds y es genial este blog.

    • Hola!

      Yo empezaría con Leap, es una gran opción de estabilidad y soporte.
      Aprende sobre YaST, particionado, etc.
      Por la web hay varios tutoriales al respecto que te pueden ayudar al principio y después ponte manos a la obra.
      Si tienes dudas puedes pasarte por forosuse.org el foro oficial de openSUSE en español, o si te sientes más cómodo con el inglés pasa por el foro en inglés, con más usuarios y más técnico!

      Saludos y gracias por pasarte por el blog y comentar…

Me gustaría saber tu opinión. Deja un comentario (Puedes usar MarkDown)

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s